package com.ann.demo.entity.interfaceEntity;

import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/8/6 9:53
 */
@Data
@Entity
@Table(name = "commomtable1")
public class CommonTable1 {

    @Id
    @Column(name = "patient_id")
    private String masterId;

    /**
     * 5 出生日期
     */
    private Date birthday;

    /**
     * 13 身份证号
     */
    @Column(name = "id_Card")
    private String idCard;

    /**
     * 94 入院科别
     */
    @Column(name = "admiss_Dept")
    private String admissDept;

    @Column(name = "is_medicine")
    private Integer isMedicine = 0;
    /**
     * 104 住院医师
     */
    @Column(name = "admiss_Doctor")
    private String admissDoctor;

    public CommonTable1(String masterId, Date birthday, String idCard, String admissDept, String admissDoctor) {
        this.masterId = masterId;
        this.birthday = birthday;
        this.idCard = idCard;
        this.admissDept = admissDept;
        this.admissDoctor = admissDoctor;
    }

    public CommonTable1() {
    }
}
